### Function

# GdkPixbuf PixbufModuleLoadFunc

#### Declaration

    GdkPixbuf*
    (* GdkPixbufModuleLoadFunc) (
      FILE* f,
      GError** error
    )

#### Description [src]

Loads a file from a standard C file stream into a new `GdkPixbuf`.

In case of error, this function should return `NULL` and set the `error` argument.

#### Parameters

`f` | `FILE*`
| The file stream from which the image should be loaded.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbuf`
| A newly created `GdkPixbuf` for the contents of the file.
| The caller of the function takes ownership of the data, and is responsible for freeing it.